=== base/emailsync/Makefile ===

all : emailsync
run : emailsync
	./emailsync

emailsync : emailsync.c
	gcc -g -Wall -Werror emailsync.c -o emailsync
