=== base/bluez-pin/debian/changelog ===
bluez-pin (0.22-1) unstable; urgency=low

  * Update to work with D-BUS 0.20.  (Closes: #230254)

 -- Philip Blundell <pb@handhelds.org>  Wed,  4 Feb 2004 20:13:11 +0000

bluez-pin (0.21-3) unstable; urgency=low

  * Install dbus config file to correct location, courtesy Dagfinn 
    Ilmari (Closes: #220516)

 -- Philip Blundell <pb@handhelds.org>  Thu, 15 Jan 2004 19:55:49 +0000

bluez-pin (0.21-2) unstable; urgency=low

  * Add missing build-depends on libgconf2-dev; closes: #217639

 -- Philip Blundell <pb@nexus.co.uk>  Sun, 26 Oct 2003 14:14:27 +0000

bluez-pin (0.21-1) unstable; urgency=low

  * New upstream release.
  * Correctly query for $DISPLAY, thanks to Sjoerd Simons.  
    (Closes: #217625, #205023)

 -- Philip Blundell <pb@handhelds.org>  Sun, 26 Oct 2003 11:32:34 +0000

bluez-pin (0.20-1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@handhelds.org>  Sun, 22 Jun 2003 21:01:58 +0100
