=== base/gpe-edit/debian/changelog ===
gpe-edit (0.20-1) unstable; urgency=low

  * New upstream version.
  * Add missing build-depends; fix disastrous hardcoding of wrong
    path in Makefile.  (Closes: #212058)

 -- Phil Blundell <pb@debian.org>  Mon, 13 Oct 2003 20:46:36 +0100

gpe-edit (0.19-1) unstable; urgency=low

  * New upstream version.  (Closes: #196988)
  * Build-Depend on new libgpewidget. (Closes: #189873)

 -- Philip Blundell <pb@debian.org>  Tue, 16 Sep 2003 00:14:08 +0100

gpe-edit (0.05) unstable; urgency=low

  * New upstream version.

 -- Phil Blundell <pb@debian.org>  Sat, 13 Jul 2002 18:57:45 +0100

gpe-edit (0.04-2) unstable; urgency=low

  * Add more build-depends

 -- Phil Blundell <pb@debian.org>  Thu, 11 Jul 2002 09:43:40 +0100

gpe-edit (0.04-1) unstable; urgency=low

  * New upstream version
  * Add missing build-depends, closes: #150851

 -- Phil Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:50:40 +0100

gpe-edit (0.01-1) unstable; urgency=low

  * Initial release.

 -- Philip Blundell <pb@debian.org>  Sun, 16 Jun 2002 16:16:22 +0100
