=== base/gpe-icons/debian/changelog ===
gpe-icons (0.20-2) unstable; urgency=low

  * Add long package description in debian/control. Closes: #209511.
  * Fix debian/rules to install package changelog.
  * Alter debian/copyright to appease lintian.

 -- Moray Allan <moray@sermisy.org>  Sat,  8 Nov 2003 23:01:40 +0000

gpe-icons (0.07-1) unstable; urgency=low

  * New upstream version

 -- Philip Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:44:26 +0100

gpe-icons (0.04-1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@debian.org>  Sun, 16 Jun 2002 15:32:44 +0100
