=== base/gpe-ownerinfo1/debian/changelog ===
gpe-ownerinfo (0.01-1) unstable; urgency=low

  * Initial release.

 -- Colin Marquardt <ipaq@marquardt-home.de>  Sun, 21 Jul 2002 18:10:22 +0200
