=== base/gpe-today/debian/changelog ===
gpe-today (0.01) unstable; urgency=low

  * Initial Release.
