=== base/keylaunch/debian/changelog ===
keylaunch (2.0.5) unstable; urgency=low

  * New 'Combine' action for multiple button presses (patch from pb).

 -- Moray Allan <moray@sermisy.org>  Sun, 14 Sep 2003 23:44:44 +0100

keylaunch (2.0.3) unstable; urgency=low

  * Key releases handled differently; fake events are now only generated for
    keys which have a 'Pressed' action defined.

 -- Moray Allan <moray@sermisy.org>  Thu, 29 May 2003 22:38:32 +0100

keylaunch (2.0.2) unstable; urgency=low

  * Brought keylaunchrc up to date for new gpe-taskmanager versions.

 -- Moray Allan <moray@sermisy.org>  Mon, 21 Apr 2003 14:16:21 +0100

keylaunch (2.0.1) unstable; urgency=low

  * Added XSelectInput call.
  * Changes to Makefile for latest GPE build system.

 -- Moray Allan <moray@sermisy.org>  Sun, 23 Mar 2003 18:40:11 +0000

keylaunch (2.0.0) unstable; urgency=low

  * New parser for keylaunchrc files.
  * Updated default keylaunchrc.
  * Probably other minor changes.
  * New version numbering scheme.

 -- Moray Allan <moray@sermisy.org>  Sat, 22 Mar 2003 18:29:46 +0000

keylaunch (1.3.0-5gpe5) unstable; urgency=low

  * Updated remaining window names in keylaunchrc.

 -- Moray Allan <moray@sermisy.org>  Mon,  5 Aug 2002 15:19:08 +0100

keylaunch (1.3.0-5gpe4) unstable; urgency=low

  * Updated gpe-soundbite entry in keylaunchrc file.

 -- Moray Allan <moray@sermisy.org>  Tue, 30 Jul 2002 18:21:38 +0100

keylaunch (1.3.0-5gpe3) unstable; urgency=low

  * Added -f option (PB)
  * Moved /etc/X11/Xsession-gpe.d/90keylaunch into package

 -- Moray Allan <moray@sermisy.org>  Sat, 20 Jul 2002 20:06:40 +0100

keylaunch (1.3.0-5gpe2) unstable; urgency=low

  * Linked in xsingleinstance code for finding and raising windows
  * Key presses are propagated to other clients after we react to them

 -- Moray Allan <moray@sermisy.org>  Tue, 25 Jun 2002 02:37:10 +0100

keylaunch (1.3.0-5gpe1) unstable; urgency=low

  * Updated default configuration file's gpe-soundbite options

 -- Moray Allan <moray@sermisy.org>  Sun, 23 Jun 2002 04:10:41 +0100

keylaunch (1.3.0-5gpe0) unstable; urgency=low

  * Patched to use global /etc/keylaunchrc if there's no per-user file.

 -- Moray Allan <moray@sermisy.org>  Fri, 21 Jun 2002 21:48:30 +0000

keylaunch (1.3.0-5) unstable; urgency=low

  * Fixed the Header to represent the actual situation. 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 10 Jun 2002 00:45:32 +0200

keylaunch (1.3.0-4) unstable; urgency=low

  * Fixed a spelling error in the man page.
    closes: #127420

 -- Brandon L. Griffith <brandon@debian.org>  Wed,  3 Apr 2002 12:20:50 -0500

keylaunch (1.3.0-3) unstable; urgency=low

  * Added a manual page.
  * Cleaned up lintian Warnings.

 -- Brandon L. Griffith <brandon@debian.org>  Mon, 31 Dec 2001 13:38:01 -0500

keylaunch (1.3.0-2) unstable; urgency=low

  * Failed to add Build Depends
    Closes: #108965

 -- Brandon L. Griffith <brandon@debian.org>  Fri, 17 Aug 2001 09:28:23 -0400

keylaunch (1.3.0-1) unstable; urgency=low

  * Initial Release.
  * Closes wnpp bug filed for packaging.
    Closes: #108615

 -- Brandon L. Griffith <brandon@debian.org>  Wed, 15 Aug 2001 00:12:29 -0400

Local variables:
mode: debian-changelog
End:
