=== base/libgpewidget/debian/changelog ===
libgpewidget (0.73-1) unstable; urgency=low

  * New upstream version.
  * Link explicitly with Xrender.  (Closes: #215575)

 -- Philip Blundell <pb@nexus.co.uk>  Mon, 13 Oct 2003 19:33:09 +0100

libgpewidget (0.72-1) unstable; urgency=low

  * New upstream version.

 -- Phil Blundell <pb@debian.org>  Sat, 27 Sep 2003 11:39:02 +0100

libgpewidget (0.70-2) unstable; urgency=low

  * Include .pc file as well.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 19:25:11 +0100

libgpewidget (0.70-1) unstable; urgency=low

  * New upstream release.
  * Make libgpewidget-dev depend on libgtk2.0-dev.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 00:24:50 +0100

libgpewidget (0.66-1) unstable; urgency=low

  * New upstream version.
  * Uploading to unstable since dependency on XRENDER has been relaxed.

 -- Philip Blundell <pb@nexus.co.uk>  Fri,  5 Sep 2003 18:53:54 +0100

libgpewidget (0.65-1) experimental; urgency=low

  * New upstream version.

 -- Philip Blundell <pb@debian.org>  Fri, 22 Aug 2003 23:02:31 +0100

libgpewidget (0.62-1) unstable; urgency=low

  * New upstream version, closes: #196989

 -- Philip Blundell <pb@debian.org>  Sat, 28 Jun 2003 08:46:41 +0100

libgpewidget (0.44-2) unstable; urgency=low

  * Build-depend on recode.

 -- Philip Blundell <pb@debian.org>  Fri, 31 Jan 2003 21:41:19 +0000

libgpewidget (0.44-1) unstable; urgency=low

  * New upstream version.

 -- Philip Blundell <pb@debian.org>  Sun, 26 Jan 2003 14:04:50 +0000

libgpewidget (0.10-2) unstable; urgency=low

  * Include missing headers in libgpewidget-dev

 -- Phil Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:53:30 +0100

libgpewidget (0.10-1) unstable; urgency=low

  * New upstream version
  * Seems to autobuild without problems now, closes: #150850

 -- Phil Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:46:41 +0100

libgpewidget (0.09-1) unstable; urgency=low

  * New upstream version
  * Add more packages to Build-Depends

 -- Phil Blundell <pb@debian.org>  Tue,  9 Jul 2002 19:39:28 +0100

libgpewidget (0.05-1) unstable; urgency=low

  * Initial release.

 -- Phil Blundell <pb@debian.org>  Thu, 13 Jun 2002 19:30:06 +0100
