=== base/gpe-edit/debian/control ===
Source: gpe-edit
Section: x11
Priority: optional
Maintainer: Phil Blundell <pb@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgpewidget-dev (>= 0.73-1), libgtk2.0-dev, intltool, gettext, libdisplaymigration0-dev
Standards-Version: 3.5.2

Package: gpe-edit
Architecture: any
Depends: gpe-icons, ${shlibs:Depends}
Description: GPE Palmtop Environment text editor
 GPE-Edit is a simple programmer's editor for use on palmtop systems. 
 The simple GUI means it will run with ease on many different systems,
 including embedded linux devices such as the HP iPAQ.
