=== base/gpe-icons/debian/control ===
Source: gpe-icons
Section: x11
Priority: optional
Maintainer: Philip Blundell <pb@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: gpe-icons
Architecture: all
Depends: ${shlibs:Depends}
Description: Common icons used by GPE programs
 This package contains the default icon theme used by the core applications of
 the GPE Palmtop Environment.
