=== base/gpe-today/debian/control ===
Source: gpe-today
Section: x11
Priority: optional
Maintainer: Luis Oliveira <luis@handhelds.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: gpe-today
Architecture: all
Depends: ${shlibs:Depends}
Description: GPE Summary application
