=== base/libgpewidget/debian/control ===
Source: libgpewidget
Section: libs
Priority: optional
Maintainer: Phil Blundell <pb@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev, xlibs-dev, recode, libxrender-dev
Standards-Version: 3.5.2

Package: libgpewidget-dev
Section: libdevel
Architecture: any
Depends: libgpewidget1 (= ${Source-Version}), libgtk2.0-dev
Description: Development files for libgpewidget
 This package contains headers and other files required to compile
 GPE applications.

Package: libgpewidget1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gpe-icons
Description: GPE Palmtop Environment widget library
 This library contains Gtk+ widgets and other common code shared by
 multiple GPE applications. 
 .
 For information about the GPE project, see http://gpe.handhelds.org
